Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(160)

Unified Diff: crup-runner.sh

Issue 12040046: Correctly forward error code when git pull fails in crup-runner.sh (Closed) Base URL: https://chromium.googlesource.com/chromium/tools/depot_tools.git@master
Patch Set: Created 7 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: crup-runner.sh
diff --git a/crup-runner.sh b/crup-runner.sh
index 987dcc2939f6556686ff1746cbc681fa5e737f15..fcdf975aa5ec0e09c9830eeb0ec412453a1be200 100755
--- a/crup-runner.sh
+++ b/crup-runner.sh
@@ -73,8 +73,9 @@ if [ "$solution" = "$1" ]; then
fi
shift 2
$first_args $@ | sed "s/^/[$solution] /g" 1>&2
- if [ $? -ne 0 ]; then
- exit $?
+ status=$?
+ if [ "$status" -ne 0 ]; then
+ exit $status
fi
set_target_os
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698